In the Bills API response, we have introduced the paidAmount field. This value is the sum of all cleared payments and any credit amount applied to the bill.
See POST /v3/bills in the API reference for more information.
In the Bills API response, we have introduced the paidAmount field. This value is the sum of all cleared payments and any credit amount applied to the bill.
See POST /v3/bills in the API reference for more information.
Under Business details, we have improved how the company address information is displayed.
We have improved the screen design of the 2-step verification success screen.
We learned that the correct icon would not be displayed on the successful submission screen. We have now fixed this issue.
When the user clicks Add to add a new funding method, we learned that the funding method CTAs would intermittently appear and then be greyed out. We have now fixed this issue.
In the bills API endpoints, we have introduced the quantity and price fields at the line item level.
| Field | Description |
|---|---|
quantity | Bill line item unit quantity |
price | Bill line item unit price. For a bill in an international currency (not USD), this value is in the local currency. |
In the billLineItems array, when you set amount for a bill line item, BILL uses this value as the bill line item amount. You can now set quantity and price for BILL to calculate the bill line item amount. For example, if quantity is 2 and price is 79.99 for a bill line item, BILL calculates and displays the line item amount in the response as 159.98 (2 x 79.99).
In addition, we have introduced the customerId field at the line item level in the classifications object. You can now tag a bill line item with a customerId.
See POST /v3/bills in the API reference for more information.
The spend.transaction.updated webhook notification now includes the currencyData object. The object provides information about the transaction currency.
| Field | Description |
|---|---|
exchangeRate | BILL exchange rate for currency conversion |
exponent | Number of decimal places in the currency format |
originalCurrencyAmount | Transaction amount in the local currency before conversion |
originalCurrencyCode | Three-letter ISO currency code for the transaction amount in the local currency |
symbol | Currency symbol, such as $, €, and £ |
See Spend & Expense transaction notification payloads for more information.
In the bills API endpoints, we have introduced the capability of adding vendor credits to the bill. In the Create a bill (POST /v3/bills), Replace a bill (PUT /v3/bills/{billId}), and Update a bill (PATCH /v3/bills/{billId}) requests, you can now add vendor credits in the vendorCredits object.
| Field | Description |
|---|---|
id | BILL-generated ID of the vendor credit applied to the bill payment. The value begins with vcr. |
amount | Credit amount |
See Vendor credits for more information.
In the Generate a test event notification API request, we have introduced a set of additional fields. In your request, you can now set eventType, version, and any related details about the information you want in the test event notification. You can get the BILL events catalog with GET /v3/events/catalog.
See POST /v3/subscriptions/{subscriptionId}/test in the API reference for more information.
We have introduced Guides section documentation for creating payments with Pay Faster. With BILL Pay Faster, you can pay vendors with faster check and ePayment options.
See Create a payment with Pay Faster for more information.
We have introduced a set of API endpoints for vendor credit operations. You can now create vendor credits for adjusting the amount that you owe a vendor.
| Operation | API endpoint |
|---|---|
| Create a vendor credit | POST /v3/vendor-credits |
| Get list of vendor credits | GET /v3/vendor-credits |
| Get vendor credit details | GET /v3/vendor-credits/{vendorCreditId} |
| Update a vendor credit | PATCH /v3/vendor-credits/{vendorCreditId} |
| Replace a vendor credit | PUT /v3/vendor-credits/{vendorCreditId} |
| Archive a vendor credit | POST /v3/vendor-credits/{vendorCreditId}/archive |
| Create multiple vendor credits | POST /v3/vendor-credits/bulk |
| Update multiple vendor credits | PATCH /v3/vendor-credits/bulk |
| Replace multiple vendor credits | PUT /v3/vendor-credits/bulk |
| Archive multiple vendor credits | POST /v3/vendor-credits/bulk/archive |
See Vendor credits for more information.
In the Get invoice payment link (GET /v3/invoices/{invoiceId}/payment-link) API request, we have introduced a new returnUrl field. You can now set this field as the redirect URL after the customer payment is complete.
See POST /v3/invoices/{invoiceId}/payment-link in the API reference for more information.
In the Get international payments configuration (GET /v3/vendors/configuration/international-payments) API response, we now provide the description information for more fields objects in the validations array. This information can help you correctly set the required information in your API request.
For example, when you want to add a Brazilian vendor bank account, the "name": "accountNumber" fields object now includes the "description": "IBAN" information. This confirms that you must set the bank account IBAN value as the accountNumber in your API request.
See Create an international vendor for more information.